STRUCT TEMP(3)

NAME
boost::units::root_typeof_helper

SYNOPSIS

// In header: <boost/units/operators.hpp>
template<typename Radicand, typename Index>
struct root_typeof_helper {
  // types
  typedef unspecified type;  // specifies the result type
  // public static functions
  static type value(const Radicand &);
};

DESCRIPTION

A helper used by root to take a root of a runtime object using a compile time known index. This template is intended to be specialized. All specializations must conform to the interface shown here. Index will be either the type passed to pow or static_rational<N> for and integer argument, N.

  root_typeof_helper public static functions

    1.

    static type value(const Radicand & base);
    Carries out the runtime calculation. .RE